<?php
/***
 * servei de reserves. 
 * pot rebre les operacions:
 * c: consulta. torna totes les reserves des del moment de la consulta fins a un
 * nombre de dies posteriors que es passa per parmetre. Donat que pot haver-hi 
 * caps de setmana i la query es de modus "between", si la consulta es fa un
 * dilluns, la far de 5 dies, i si es fa un altre dia, ser de 7 dies. Aquest 
 * clcul es fa a la part client per facilitar l'escalabilitat de l'aplicaci.
 * c: relaci de reserves 
 * r: desa una nova reserva
 * a: anulaci d'una reserva
 * cr: confirmaci de reserva
 */

$operacio = $_REQUEST["o"];
$usuari = "";
session_start();
if (isset($_SESSION['usuari'])) {
	$usuari = $_SESSION['usuari'];
} else {
	echo "Error " . $usuari;
}

//connexi amb la bd
include 'connect.php';


if ($operacio == "c") { //consulta
	
	$dd = $_REQUEST["dia"];
	$dm = $_REQUEST["mes"];
	$da = $_REQUEST["any"];
	$dies = $_REQUEST["dies"];
	$dataIni = new DateTime();
	$dataFi = new DateTime();
	$dataIni->setDate($da, $dm, $dd);
	$dataFi->setDate($da, $dm, $dd);
	$dataFi->modify("+$dies day");
	$qdataIni = data2mysql($dataIni);
	$qdataFi = data2mysql($dataFi);
	$query = "SELECT reserva,usuari,data,hora,servei,oferta,comentaris,estat " .
			" FROM reserves where data between $qdataIni and $qdataFi";
	$result = mysql_query($query) or die('error en cconsulta: ' . 
			mysql_error());
	$num_rows = mysql_num_rows($result);
	$rows = array();
	while ($r = mysql_fetch_assoc($result)) {
		$rows[] = $r;
	}
	echo json_encode($rows);
	mysql_free_result($result);
	
} else if ($operacio == "r") { //reserva
	
	$data = $_REQUEST["dia-reserva"];
	$hora = $_REQUEST["hora-reserva"];
	$usuari_reserva = $_REQUEST["usuari-reserva"];
	$servei = $_REQUEST["servei-reserva"];
	$oferta = preparaStrings($_REQUEST["oferta-reserva"]);
	$comentaris = preparaStrings($_REQUEST["comentaris-reserva"]);
	$estat = $_REQUEST["estat-reserva"];

	$query = "SELECT usuari FROM reserves where data = '$data' and hora = $hora";
	//echo $query;
	$result = mysql_query($query) or die('error en cconsulta: ' . mysql_error());
	$num_rows = mysql_num_rows($result);
	mysql_free_result($result);
	if ($num_rows > 0) {
		$resposta = array("resultat" => false, "missatge" => "no es possible insertar la reserva, ja hi ha una altre");
		echo json_encode($resposta);
	} else {
		$query = "insert into reserves (usuari, data, hora, servei, oferta, comentaris, estat) " .
				" values ('$usuari_reserva', '$data', '$hora', '$servei', '$oferta', '$comentaris', '$estat' )";
		//echo $query;
		$result = mysql_query($query) or die('error en cconsulta: ' . mysql_error());
		$resposta = array("resultat" => true, "missatge" => "Reservat");
		echo json_encode($resposta);
	}
} else if ($operacio == "a") { //anulacio
	
	$data = $_REQUEST["dia-reserva"];
	$hora = $_REQUEST["hora-reserva"];
	$usuari_reserva = $_REQUEST["usuari-reserva"];
	$per_usuari = $_REQUEST["per-usuari"];
	$raons = preparaStrings($_REQUEST["raons"]);

	$query = "SELECT usuari FROM reserves where usuari = '$usuari_reserva' and data = '$data' and hora = $hora";
	//echo $query;
	$result = mysql_query($query) or die('error en cconsulta: ' . mysql_error());
	$num_rows = mysql_num_rows($result);
	mysql_free_result($result);
	if ($num_rows == 0) {
		$resposta = array("resultat" => false, "missatge" => 
			"no es possible insertar la reserva, ja hi ha una altre");
		echo json_encode($resposta);
	} else {
		$query = "delete from reserves where usuari = '$usuari_reserva' and data = '$data' and hora = $hora";
		//echo $query;
		$result = mysql_query($query) or die('error en cconsulta: ' . mysql_error());
		$resposta = array("resultat" => true, "missatge" => "Reserva anulada.");
		echo json_encode($resposta);

		$assumpte = utf8_encode("Anulaci de reserva data " . $data . " " . $hora . ":00");
		$tipus_missatge = "A";
		$de_usuari = $usuari;
		$avui = new DateTime;
		$data_missatge = data2mysql($avui);
		$text_missatge = $raons;

		$query = "insert into missatges (assumpte, tipus_missatge, de_usuari, per_usuari, data, text_missatge, estat) " .
				" values ('$assumpte', '$tipus_missatge', '$de_usuari', '$per_usuari', $data_missatge, '$text_missatge', 'P' )";
		//echo $query;
		$result = mysql_query($query) or die('error en consulta: ' . mysql_error());		
	}
} else if ($operacio == "cr") { //confirma reserva
	
	$data = $_REQUEST["dia-reserva"];
	$hora = $_REQUEST["hora-reserva"];
	$usuari_reserva = $_REQUEST["usuari-reserva"];

	$query = "SELECT usuari FROM reserves where usuari = '$usuari_reserva' and data = '$data' and hora = $hora";
	//echo $query;
	$result = mysql_query($query) or die('error en cconsulta: ' . mysql_error());
	$num_rows = mysql_num_rows($result);
	mysql_free_result($result);
	if ($num_rows == 0) {
		$resposta = array("resultat" => false, "missatge" => "la reserva no existeix");
		echo json_encode($resposta);
	} else {
		$query = "update reserves set estat='C' where usuari = '$usuari_reserva' and data = '$data' and hora = $hora";
		//echo $query;
		$result = mysql_query($query) or die('error en cconsulta: ' . mysql_error());
		$resposta = array("resultat" => true, "missatge" => "Reserva confirmada.");
		echo json_encode($resposta);
	}
}

?>