-- --------------------------------------------------------
--
-- Estructura de la taula `missatges`
--

CREATE TABLE IF NOT EXISTS `missatges` (
  `missatge` int(11) NOT NULL AUTO_INCREMENT,
  `tipus_missatge` varchar(25) NOT NULL,
  `assumpte` varchar(150) NOT NULL,
  `de_usuari` varchar(25) NOT NULL,
  `per_usuari` varchar(25) NOT NULL,
  `data` date NOT NULL,
  `text_missatge` varchar(255) NOT NULL,
  `estat` varchar(1) NOT NULL,
  PRIMARY KEY (`missatge`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=106 ;


-- --------------------------------------------------------
--
-- Estructura de la taula `reserves`
--

CREATE TABLE IF NOT EXISTS `reserves` (
  `reserva` int(11) NOT NULL AUTO_INCREMENT,
  `usuari` varchar(50) NOT NULL,
  `data` date NOT NULL,
  `hora` int(11) NOT NULL,
  `servei` varchar(3) NOT NULL,
  `oferta` varchar(50) NOT NULL,
  `duracio` smallint(6) NOT NULL,
  `comentaris` varchar(250) NOT NULL,
  `estat` varchar(25) NOT NULL,
  PRIMARY KEY (`reserva`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=120 ;


-- --------------------------------------------------------
--
-- Estructura de la taula `usuaris`
--

CREATE TABLE IF NOT EXISTS `usuaris` (
  `usuari` varchar(25) NOT NULL,
  `admin` varchar(1) NOT NULL,
  `clau` varchar(50) NOT NULL,
  `nom` varchar(50) NOT NULL,
  `cognoms` varchar(50) NOT NULL,
  `nif` varchar(15) NOT NULL,
  `telefon_fix` varchar(15) NOT NULL,
  `telefon_mobil` varchar(15) NOT NULL,
  `data_naixement` date NOT NULL,
  `correu_e` varchar(50) NOT NULL,
  PRIMARY KEY (`usuari`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Bolcant dades de la taula `usuaris`
--

INSERT INTO `usuaris` (`usuari`, `admin`, `clau`, `nom`, `cognoms`, `nif`, `telefon_fix`, `telefon_mobil`, `data_naixement`, `correu_e`) VALUES
('qtn', 'S', '', 'qtn', 'qtn', '111222333', '444555666', '777888999', '2001-02-03', 'qtn@qtn.com');
